Package org.python.core

# Class Pragma.ForbiddenPragmaModule

java.lang.Object
org.python.core.Pragma.PragmaModule
org.python.core.Pragma.ForbiddenPragmaModule

Enclosing interface:
  `Pragma`

public static final class Pragma.ForbiddenPragmaModule extends Pragma.PragmaModule

## Field Summary

### Fields inherited from class org.python.core.Pragma.PragmaModule

`name`

## Constructor Summary

Constructors
Constructor
Description
`ForbiddenPragmaModule(String name)`
`ForbiddenPragmaModule(String name, String message)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTo(PragmaReceiver receiver)`
`Pragma`
`getPragma(String name)`
`Pragma`
`getStarPragma()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ForbiddenPragmaModule

public ForbiddenPragmaModule(String name)

### ForbiddenPragmaModule

public ForbiddenPragmaModule(String name, String message)

## Method Details

### getPragma

public Pragma getPragma(String name)

Specified by:
  `getPragma` in class `Pragma.PragmaModule`

### getStarPragma

public Pragma getStarPragma()

Specified by:
  `getStarPragma` in class `Pragma.PragmaModule`

### addTo

public void addTo(PragmaReceiver receiver)